/* global css */
    *{
        padding: 0;
        margin: 0;
        box-sizing: border-box;
        text-decoration: none;
        font-family: calibri;
        transition: all .2s linear;
    }

    body{
        overflow-x: hidden;
    }

    :root{
        --blue: #2756a6;
        --orange: #f46f22;
        --white: #ffffff;
        --light-black: #00000025;
        --or: #ffd700;
        --border: 1px solid var(--light-black);
        --box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
    }

    ::-webkit-scrollbar{
        width: .5rem;
        height: .5rem;
    }
    
    ::-webkit-scrollbar-track{
        background-color: transparent;
    }
    
    ::-webkit-scrollbar-thumb{
        background-color: var(--blue);
    }

    /* section */
        section{
            width: 95%;
            margin: 1.5rem auto;
            padding: 0 1rem;
        }
    /* section */

    /* titre */
        .titre{
            display: flex;
            align-items: center;
            justify-content: center;
            color: var(--blue);
            font-size: 30px;
            margin-bottom: .8rem;
            text-align: center;
        }

        .span1{
            position: relative;
            width: 6rem;
            padding: .1rem;
            background: var(--blue);
            margin: 0 .5rem 0 .5rem;
            transform: translateY(3px);
        }

        .span2{
            position: absolute;
            width: 1.5rem;
            right: 0; top: 0;
            padding: .1rem;
            background: var(--orange);
            border-left: 5px solid white;
        }
    /* titre */

    /* bouton */
        .flex_btn{
            display: flex;
            gap: 1rem;
        }

        .btn1, .btn2, .btn3, .caroussel_btn2, .caroussel_btn1{
            color: white;
            padding: .5rem 1rem;
            border-radius: 2.5rem;
            border: none;
            cursor: pointer;
            text-align: center;
        }

        .btn1, .caroussel_btn2{
            background: var(--orange);
        }

        .btn2, .caroussel_btn1{
            background: var(--blue);
        }
        
        .btn3{
            background: #ffd700;
        }

        .btn1:hover, .caroussel_btn2:hover{
            background: none;
            border: 2px solid var(--orange);
            color: var(--orange);
        }

        .btn2:hover, .caroussel_btn1:hover{
            background: none;
            border: 2px solid var(--blue);
            color: var(--blue);
        }
        
        .btn3:hover{
            background: none;
            border: 2px solid #ffd700;
            color: #ffd700;
        }
    /* bouton */

    /* voir plus (index) */
        .voir_plus{
            display: inline-block;
            margin-top: .8rem;
            font-size: 18px;
            position: relative;
            left: 50%;
            transform: translateX(-50%);
            text-decoration: underline;
            font-weight: bolder;
            color: var(--orange);
        }

        .voir_plus p{
            color: black; 
        }

        .voir_plus:hover{
            scale: 1.1;
        }
    /* voir plus (index) */

    /* empty */
        .empty{
            width: 70%;
            margin: 0 auto;
            margin-bottom: 1rem;
            border:var(--border);
            border-radius: .3rem;
            padding: .5rem;
            text-align: center;
            font-size: 19px;
            background: var(--light-black);
            color: var(--black);
            box-shadow: var(--box-shadow);
        }
        
        #connection_btn2{
            display: inline-block;
            background: var(--orange);
            color: white;
            padding: .3rem .5rem;
            margin-top: .3rem;
            border-radius: .5rem;
            cursor: pointer;
        }
        
        #connection_btn2:hover{
            background: white;
            color: var(--orange);
            border: 1px solid var(--orange);
        }
    /* empty */

    /* form */
        .form_universel{
            width: 40rem;
            margin: 0 auto;
        }

        .form_universel fieldset{
            padding: 1rem;
            border: 1px solid var(--light-black);
            border-radius: .5rem;
            margin-bottom: 1rem;
        }

        .form_universel fieldset legend{
            padding: .2rem 1rem;
            color: var(--light-black);
            border: 1px solid var(--light-black);
            border-radius: .5rem;
        }

        .titre_champ i{
            color: var(--orange);
            transform: translatey(2px);
        }

        .champ{
            width: 100%;
            margin: .6rem 0;
            border-radius: .3rem;
            border: none;
            outline: none;
            padding: .6rem;
            font-size: 15px;
            background-color: var(--light-black);
        }

        .champ:focus{
            border: 1px solid var(--blue);
            background: none;
        }

        .textarea{
            height: 10rem;
            resize: none;
        }

        .champ::placeholder, .textarea::placeholder{
            color: black;
        }

        .customfile{
            width: 100%;
            margin: .6rem 0;
            border-radius: .3rem;
            border: 1px solid var(--blue);
        }

        .customfile::-webkit-file-upload-button{
            width: 9rem;
            padding: .6rem;
            color: var(--white);
            border: none;
            border-radius: .3rem;
            cursor: pointer;
            background-color: var(--blue);
            color: white;
        }
    /* form */
    
    
    /* section produits */
        .container_produits{
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
            gap: 1rem;
        }

        .content_produits{
            position: relative;
            min-width: 200px;
            max-width: 200px;
            padding: .7rem;
            border: var(--border);
            border-radius: .5rem;
            overflow: hidden;
            color: black;
        }

        .sale_location{
            position: absolute;
            width: 100%;
            left: -72px; top: 14px;
            text-align: center;
            text-transform: capitalize;
            color: white;
            background: var(--orange);
            transform: rotate(-45deg);
            z-index: 10;
        }
        
        .box_img_produits{
            position: relative;
            width: 100%;
            height: 10rem;
            border: var(--border);
            border-radius: .3rem;
        }

        .box_img_produits img{
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .img2{
            display: none;
        }

        .discount{
            position: absolute;
            bottom: 0; left: 0;
            background: rgb(8, 153, 8);
            padding: .2rem;
            color: white;
            border-radius: .3rem;
        }

        .content_produits a{
            color: black;
        }
        
        .category_review{
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .categorie_produits{
            color: var(--orange);
            text-transform: uppercase;
            margin-top: .5rem;
        }
        
        .review_star i{
            transform: translatey(1px);
            color: #ffd700;
        }

        .nom_produits{
            margin: .5rem 0;
            font-size: 18px;
            text-wrap: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .prix_produits{
            display: flex;
            justify-content: space-between;
        }

        .prix_produits >:nth-child(1){
            text-decoration: line-through;
            color: #00000070;
        }

        .prix_produits >:nth-child(2){
            font-weight: bolder;
        }

        .content_produits:hover .action_produit{
            right: 11px;
        }

        .content_produits:hover .img1{
            display: none;
        }

        .content_produits:hover .img2{
            display: block;
        }
        
        /* voir plus produit */
            .voir_plus_produit{
                display: flex;
                flex-direction: column;
                justify-content: center;
            }
            .voir_plus_produit .box_plus{
                width: 100%;
                height: auto;
            }
            
            .voir_plus_produit .box_plus img{
                object-fit: cover;
            }
            
            .voir_plus_produit > p{
                text-align: center;
                margin-top: .5rem;
                font-weight: bolder;
                font-size: 20px;
                color: gray;
            }
        /* voir plus produit */

        /* pagination style */
            .listPage{
                text-align: center;
                list-style: none;
                margin-top: 1rem;
            }

            .listPage li{
                border: var(--border);
                border-color: var(--blue);
                border-radius: .5rem;
                padding: 6px;
                display: inline;
                margin: 0 4px;
                cursor: pointer;
            }

            .listPage .active{
                background-color: var(--blue);
                color: white;
            }

            .listPage i {
                font-size: 20px;
                transform: translatey(3px);
            }
        /* pagination style */
    /* section produits */

    /* whatsapp */
        .button_whtsp{
            position: fixed;
            bottom: 1rem; right: 1rem;
            width: 55px;
            height: 55px;
            display: flex;
            justify-content: center;
            align-items: center;
            background: #25d366;
            color: white;
            box-shadow: var(--box-shadow);
            border-radius: 50%;
            font-size: 30px;
            z-index: 100;
        }
        
        .button_whtsp:hover{
            background: #128c7e;
        }
    /* whatsapp */
    
    /* description categorie / sous-categorie */
        .description_global{
            text-align: center;
            max-width: 950px;
            margin: 16px auto;
            margin-bottom: 32px;
            white-space: pre-line;
            font-size: 18px;
        }
    /* description categorie / sous-categorie */
/* global css */


/* section */
    @media screen and (max-width: 364px){
        section{
            width: 100%;
            padding: 0 .5rem;
        }
    }

    @media screen and (max-width: 343px){
        section{
            padding: 0 .3rem;
        }
    }
/* section */

/* titre */
    @media screen and (max-width: 610px){
        .titre{
            font-size: 25px;
        }
    }

    @media screen and (max-width: 530px){
        .span1{
            width: 4rem;
            transform: translateY(2px);
        }

        .span2{
            width: 1rem;
        }
    }

    @media screen and (max-width: 500px){
        .titre{
            font-size: 23px;
        }
    }

    @media screen and (max-width: 380px){
        .titre{
            font-size: 21px;
        }
    }
/* titre */


/* bouton */
    @media screen and (max-width: 600px){
        .btn1, .btn2, .btn3{
            padding: .5rem .8rem;
            font-size: 14px;
        }
    }

    /* caroussel index */
        @media screen and (max-width: 500px){
            .caroussel_btn1, .caroussel_btn2{
                padding: .5rem .6rem;
                font-size: 13px;
            }
        }

        @media screen and (max-width: 450px){
            .caroussel_btn1, .caroussel_btn2{
                padding: .5rem;
                font-size: 12px;
            }
        }
    /* caroussel index */
/* bouton */


/* empty */
    @media screen and (max-width: 950px){
        .empty{
            font-size: 16px;
        }
    }

    @media screen and (max-width: 610px){
        .empty{
            font-size: 15px;
        }
    }

    @media screen and (max-width: 480px){
        .empty{
            font-size: 14px;
        }
    }

    @media screen and (max-width: 380px){
        .empty{
            font-size: 13px;
        }
    }
/* empty */


/* form */
    @media screen and (max-width: 800px) {
        .form_universel{
            width: 100%;
        }
    }

    @media screen and (max-width: 480px) {
        .titre_champ, .champ, .customfile{
            font-size: 14px;
        }
    }
/* form */


/* Voir plus (index) */
    @media screen and (max-width: 500px){
        .voir_plus{
            font-size: 16px;
        }
    }
/* voir plus (index) */


/* section produits */
    @media screen and (max-width: 610px) {
        .content_produits{
            min-width: 165px;
            max-width: 165px;
            padding: .7rem;
        }

        .sale_location{
            left: -61px; top: 10px;
        }
        
        .box_img_produits{
            height: 8rem;
        }

        .discount{
            left: .5px;
        }

        .nom_produits{
            margin: .3rem 0;
            font-size: 16px;
        }

        .sale_location, .discount, .categorie_produits, .prix_produits{
            font-size: 14px;
        }
    }

    @media screen and (max-width: 480px) {
        .content_produits{
            min-width: 150px;
            max-width: 150px;
            padding: .5rem;
        }

        .sale_location{
            left: -55px; top: 10px;
        }
        
        .box_img_produits{
            height: 8rem;
        }

        .discount{
            left: 0;
        }

        .nom_produits{
            font-size: 15px;
        }

        .sale_location, .discount, .categorie_produits, .prix_produits{
            font-size: 13px;
        }
    }

    @media screen and (max-width: 386px){
        .produits{
            width: 100%;
            padding: 0 .3rem;
        }
    }
/* section produits */


/* whatsapp */
    @media screen and (max-width: 570px){
        .button_whtsp{
            position: fixed;
            bottom: 4.4rem;
        }
    }
/* whatsapp */


/* description categorie / sous-categorie */
    @media screen and (max-width: 650px){
        .description_global{
            font-size: 17px;
        }
    }
    @media screen and (max-width: 450px){
        .description_global{
            font-size: 16px;
        }
    }
/* description categorie / sous-categorie */